%define _name mina


Summary: Java network application framework version 1.x
Name: apache-mina1
Version: 1.1.7
Release: %mkrel 1
Group: Development/Java
License: ASL 2.0
URL: http://mina.apache.org
Source0: http://archive.apache.org/dist/mina/%{version}/%{_name}-%{version}.tar.bz2
Patch0: apache-mina-1.1.7-build-core-only.patch

Requires: java >= 0:1.6.0
Requires: jpackage-utils

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: maven

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-shade-plugin

%description
Apache MINA is a network application framework which helps users develop high
performance and high scalability network applications easily. It provides an
abstract event-driven asynchronous API over various transports such as TCP/IP
and UDP/IP via Java NIO.

This package contains version 1.x of apache-mina.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
mvn-rpmbuild \
  -Dmaven.test.skip=true \
  -Dproject.build.sourceEncoding=UTF-8 \
  install \


%install
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__install}  -D -m 644 core/target/mina-core-%{version}.jar %{buildroot}%{_javadir}/%{name}/mina-core.jar


%files
%{_javadir}/%{name}/*
%doc LICENSE.txt
%doc NOTICE.txt



%changelog

* Fri Mar 22 2013 zezinho <zezinho> 1.1.7-1.mga3
+ Revision: 404561
- imported package apache-mina1

